const blogCount = 100
const fs = require('fs')

export default {
  mode: 'universal',
  /*
   ** Headers of the page
   */
  head: {
    title: process.env.npm_package_name || '',
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      {
        hid: 'description',
        name: 'description',
        content: process.env.npm_package_description || ''
      }
    ],
    link: [{ rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }]
  },
  /*
   ** Customize the progress-bar color
   */
  loading: { color: '#fff' },
  /*
   ** Global CSS
   */
  css: [],
  /*
   ** Plugins to load before mounting the App
   */
  plugins: [],
  /*
   ** Nuxt.js dev-modules
   */
  buildModules: [],
  /*
   ** Nuxt.js modules
   */
  modules: [],
  /*
   ** Build configuration
   */
  build: {
    /*
     ** You can extend webpack config here
     */
    extend(config, ctx) {}
  },
  generate: {
    routes() {
      //本文をファイルから取得しておく（実際にはこの部分がAPIなどから取得する想定）
      const content = fs.readFileSync('./content.txt').toString()

      //ブログ個別ページを生成
      return [...Array(blogCount).keys()].map(index => {
        return {
          route: `/blogs/${index + 1}`,
          payload: { title: `${index + 1}番目のブログ記事`, content }
        }
      })
    }
  }
}
